org.eclipse.graphiti.mm.algorithms.impl

## Class AlgorithmsFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.graphiti.mm.algorithms.impl.AlgorithmsFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, AlgorithmsFactory

    public class AlgorithmsFactoryImpl
    extends org.eclipse.emf.ecore.impl.EFactoryImpl
    implements AlgorithmsFactory

An implementation of the model Factory.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.mm.algorithms.AlgorithmsFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
Constructor and Description
`AlgorithmsFactoryImpl()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`Ellipse` `createEllipse()`
`Image` `createImage()`
`MultiText` `createMultiText()`
`PlatformGraphicsAlgorithm` `createPlatformGraphicsAlgorithm()`
`Polygon` `createPolygon()`
`Polyline` `createPolyline()`
`Rectangle` `createRectangle()`
`RoundedRectangle` `createRoundedRectangle()`
`Text` `createText()`
`AlgorithmsPackage` `getAlgorithmsPackage()`
`static AlgorithmsPackage` `getPackage()` Deprecated.
`static AlgorithmsFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Constructor Detail

#### AlgorithmsFactoryImpl

    public AlgorithmsFactoryImpl()

Creates an instance of the factory.

### Method Detail

#### init

    public static AlgorithmsFactory init()

Creates the default factory implementation.

#### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createPolyline

    public Polyline createPolyline()

Specified by:
  `createPolyline` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Polyline'.

#### createEllipse

    public Ellipse createEllipse()

Specified by:
  `createEllipse` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Ellipse'.

#### createText

    public Text createText()

Specified by:
  `createText` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Text'.

#### createPolygon

    public Polygon createPolygon()

Specified by:
  `createPolygon` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Polygon'.

#### createRectangle

    public Rectangle createRectangle()

Specified by:
  `createRectangle` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Rectangle'.

#### createRoundedRectangle

    public RoundedRectangle createRoundedRectangle()

Specified by:
  `createRoundedRectangle` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Rounded Rectangle'.

#### createImage

    public Image createImage()

Specified by:
  `createImage` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Image'.

#### createPlatformGraphicsAlgorithm

    public PlatformGraphicsAlgorithm createPlatformGraphicsAlgorithm()

Specified by:
  `createPlatformGraphicsAlgorithm` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Platform Graphics Algorithm'.

#### createMultiText

    public MultiText createMultiText()

Specified by:
  `createMultiText` in interface `AlgorithmsFactory`
Returns:
  a new object of class 'Multi Text'.

#### getAlgorithmsPackage

    public AlgorithmsPackage getAlgorithmsPackage()

Specified by:
  `getAlgorithmsPackage` in interface `AlgorithmsFactory`
Returns:
  the package supported by this factory.

#### getPackage

    @Deprecated
    public static AlgorithmsPackage getPackage()

Deprecated.